Return to list

[MAVEN] Problème de repository ?

avatar provided by gravatar.com kribot | Nov 27, 2009 10:05:15 AM

[MAVEN] Problème de repository ?

Bonjour,

J'ai ajouté une dépendance au plugin myLutece-database dans mon pom.xml, comme ceci :

[code]
		
			fr.paris.lutece.plugins
			module-mylutece-database
			2.1.1-SNAPSHOT
			lutece-plugin
			
[/code]

Par contre lors d'un 

[code]
mvn dependency:tree
[/code]

J'ai l'erreur suivante qui apparait :

[code]
Missing:
----------
1) org.acegisecurity:acegi-security:jar:1.0.4

  Try downloading the file manually from the project website.
[/code]

Quelqu'un a une idée ?

Merci d'avance

Vote Score 51

Share

Report

Commentaires (5 )

Posted by : kribot | 27/11/2009 10:48:48
La dernière 2.2.1
 
Posted by : GDU | 27/11/2009 10:41:56
ah ok. Quelle est votre version de Maven ?
 
Posted by : kribot | 27/11/2009 10:37:03
déjà essayé, mais ça ne fait rien de mieux
 
Posted by : GDU | 27/11/2009 10:33:46
Bonjour, la dépendance semble toujours disponible sur les repo Maven (selon le site http://mvnrepository.com/artifact/org.acegisecurity/acegi-security/1.0.4), ça devrait donc passer. Que donne la commande en ajoutant l'option -U (cela force Maven à vérifier les mises à jour) ?
 
Posted by : kribot | 27/11/2009 10:30:13
Pour bypasser le problème rapidement, j'ai installé le jar manuellement [code] mvn install:install-file -DgroupId=org.acegisecurity -DartifactId=acegi-security -Dversion=1.0.4 -Dpackaging=jar -Dfile=C:\acegi-security-1.0.4.jar [/code] mais bon, je comprends pas trop, peut être mon proxy qui gêne !
 

 Top of the page

Return to list